# QuickHashStringIntHash::get

(No version information available, might only be in Git)

QuickHashStringIntHash::get — Cette méthode récupère une valeur du hachage par sa clé

### Description

public QuickHashStringIntHash::get(string `$key`): mixed

Cette méthode récupère une valeur du hachage par sa clé.

### Liste de paramètres

`key`

  La clé de l'entrée à récupérer.

### Valeurs de retour

La valeur si la clé existe, ou `null` si la clé n'était pas une partie du hachage.

### Exemples

Exemple #1 Exemple de QuickHashStringIntHash::get()

`<?php
$hash = new QuickHashStringIntHash( 8 );
var_dump( $hash->get( "one" ) );
var_dump( $hash->add( "two", 2 ) );
var_dump( $hash->get( "two" ) );
?>`

Résultat de l'exemple ci-dessus est similaire à :

    bool(false)
    bool(true)
    int(2)